If you've looked my previous post, you can follow along here.

First, you'll need to upgrade to the latest 1.x.x release as noted in the Docker library for ghost. This is because there were database changes in the latest 1.x.x release that need to be done before upgrade to 2.x.x.

To do so, update the Dockerfile:

FROM library/ghost:1.25.5

COPY config.production.json /var/lib/ghost

Commit and deploy:

git commit -am "Update to 1.25.5"
git push dokku

After that's completed, then you can finally update to 2.x.x. Update the Dockerfile again:

FROM library/ghost:2.1.3

COPY config.production.json /var/lib/ghost

Commit and deploy:

git commit -am "Update to 1.25.5"
git push dokku

That's it.